Subject: bug#64809: 29.1; Initial frame is wrong size when dimensions specified in init file

From: David Fiander <[email-masked]>
Date: Mon, 24 Jul 2023 08:15:02 -0500

On 2023-07-24 07:05, Po Lu wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
>>> Date: Sun, 23 Jul 2023 15:02:45 -0500
>>> From: David Fiander <[email-masked]>
>>>
>>> Using the below init file, and running emacs from the command line, the
>>> initial frame seems to appear with the correct size but then shrinks
>>> down.
>>
>> Shrinks down to what size?

When I resize the window, the emacs tooltip says that it's 89x25. 
xwininfo says that it's 752x504 pixels. The characters displayed in the 
window are the same size as when I run 28.2. See the attached screenshot.

When I use the same init file with emacs 28.2, the emacs tooltip also 
says 89x25, but xwininfo reports that it is 1215x824 pixels

> 
> David, are you using KWin by any chance?  Along with a GTK+ build of
> Emacs?

I'm using gtk+, but not pgtk. The window manager is XFCE.

- David